name: 'CryoScale plugin'
version: "0.0.1"
alias: "cryoscale"
creator: "d.brinkman-1@tudelft.nl"
description: "Collector plugin for the cryoscale using the TCP dispatcher"
runtime:
  main: plugin.py
settings:
  base:
    remote_host:
      label: "Remote Host IP"
      type: str 
      required: true
      description: "IP-address of the TCP dispatcher"
    remote_port:
      label: "Remote Host Port"
      type: int
      required: true 
      description: "Port of the TCP dispatcher"
    data_groups:
      label: "Data groups"
      type: list
  data_groups:
    group_label: 
      label: "Group label" 
      type: str
      required: true  
      description: "Unique name (per collector) of the data group"
    connector_name:
      label: "Connector name"
      type: str
      required: true 
      description: "Unique name of the TCP dispatcher connector to the cryoscale"
    data_points:
      label: "Data points"
      type: list 
  data_points: 
    variable_name:
      label: "Variable name"
      type: str
      required: true
      description: "Variable name of the data point. Will be used when exporting data"
    data_command:
      label: "Data command"
      type: str 
      required: true 
      description: "Data command to be send to the scale to retrieve the requested data"
    unit: 
      label: "Unit"
      type: str
      required: false
      description: "Unit of the retrieved variable. SI-prefixes are understood"
